class TasksController < ApplicationController
  # GET /tasks
  # GET /tasks.json
  def index
    #@tasks = Task.all
    @task1 = Task.new
    @task1.number = 1
    @task1.deadline = 2.weeks.ago
    @task1.url = 'http://.../1'
    @task1.id = 1
    @task2 = Task.new
    @task2.number = 2
    @task2.deadline = Time.now
    @task2.url = 'http://.../2'
    @task2.id = 2
    @tasks = [ @task1, @task2 ]

    respond_to do |format|
      format.html # index.html.erb
      format.json { render json: @tasks }
    end
  end

  # GET /tasks/1
  # GET /tasks/1.json
  def show
    #@task = Task.find(params[:id])
    @task = Task.new
    @task.number = 1
    @task.deadline = 2.weeks.ago
    @task.url = 'http://.../1'
    @task.id = 1


    respond_to do |format|
      format.html # show.html.erb
      format.json { render json: @task }
    end
  end

  # GET /tasks/new
  # GET /tasks/new.json
  def new
    @task = Task.new

    respond_to do |format|
      format.html # new.html.erb
      format.json { render json: @task }
    end
  end

  # GET /tasks/1/edit
  def edit
    #@task = Task.find(params[:id])
    @task = Task.new
    @task.number = 1
    @task.deadline = 2.weeks.ago
    @task.url = 'http://.../1'
    @task.id = 1
  end

  # POST /tasks
  # POST /tasks.json
  def create
    @task = Task.new(params[:task])

    respond_to do |format|
      if @task.save
        format.html { redirect_to @task, notice: 'Task was successfully created.' }
        format.json { render json: @task, status: :created, location: @task }
      else
        format.html { render action: "new" }
        format.json { render json: @task.errors, status: :unprocessable_entity }
      end
    end
  end

  # PUT /tasks/1
  # PUT /tasks/1.json
  def update
    @task = Task.find(params[:id])

    respond_to do |format|
      if @task.update_attributes(params[:task])
        format.html { redirect_to @task, notice: 'Task was successfully updated.' }
        format.json { head :no_content }
      else
        format.html { render action: "edit" }
        format.json { render json: @task.errors, status: :unprocessable_entity }
      end
    end
  end

  # DELETE /tasks/1
  # DELETE /tasks/1.json
  def destroy
    @task = Task.find(params[:id])
    @task.destroy

    respond_to do |format|
      format.html { redirect_to tasks_url }
      format.json { head :no_content }
    end
  end
end
